<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.adealink.weparty.commonui.widget.CommonTopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        app:layout_constraintTop_toTopOf="parent"
        app:top_bar_title="@string/common_settings" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/color_FFF1F2F5"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="16dp"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/common_white_radius_16_bg"
                android:paddingHorizontal="16dp"
                android:paddingVertical="4dp">

                <!-- 语言 -->
                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/v_language"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="12dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/setting_language_ic" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:includeFontPadding="false"
                        android:text="@string/setting_language"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="16dp"
                        android:layout_height="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/common_go_ic" />

                </androidx.constraintlayout.widget.ConstraintLayout>


                <!-- 清理缓存 -->
                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/v_clear_cache"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="12dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/v_language">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/setting_clear_cache_ic" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:includeFontPadding="false"
                        android:text="@string/setting_clear_cache"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_cache_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:layout_marginEnd="20dp"
                        android:includeFontPadding="false"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:text="100MB" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="16dp"
                        android:layout_height="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/common_go_ic" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <!-- 关于 -->
                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/v_about"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="12dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/v_clear_cache">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/setting_about_ic" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_about"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:includeFontPadding="false"
                        android:text="@string/setting_about"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_new_version"
                        android:layout_width="wrap_content"
                        android:layout_height="16dp"
                        android:layout_marginEnd="20dp"
                        android:background="@drawable/common_button_bg"
                        android:paddingHorizontal="6dp"
                        android:text="@string/common_new"
                        android:textColor="@color/white"
                        android:textSize="12sp"
                        android:visibility="gone"
                        app:common_button_type="normal1"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:visibility="visible" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="16dp"
                        android:layout_height="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/common_go_ic" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <!-- 上报日志 -->
                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/v_upload_log"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="12dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/v_about">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/setting_about_ic" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/tv_upload_log"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:includeFontPadding="false"
                        android:text="@string/setting_upload_log"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="16dp"
                        android:layout_height="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/common_go_ic" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <!-- 账号注销 -->
                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/v_delete_account"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="12dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/v_upload_log">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/setting_upload_log_ic" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:includeFontPadding="false"
                        android:text="@string/setting_delete_account"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="16dp"
                        android:layout_height="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/common_go_ic" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:background="@drawable/common_white_radius_16_bg"
                android:paddingHorizontal="16dp"
                android:paddingVertical="4dp">

                <!-- 登出 -->
                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/v_logout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="12dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="18dp"
                        android:layout_height="18dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/setting_logout_ic" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:includeFontPadding="false"
                        android:text="@string/setting_logout"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="16dp"
                        android:layout_height="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/common_go_ic" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/v_debug"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:background="@drawable/common_white_radius_16_bg"
                android:paddingHorizontal="16dp"
                android:paddingVertical="4dp"
                android:visibility="gone"
                tools:visibility="visible">

                <!-- Debug -->
                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingVertical="12dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:includeFontPadding="false"
                        android:text="Debug测试"
                        android:textColor="@color/color_FF1D2129"
                        android:textSize="12sp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        tools:ignore="HardcodedText" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="16dp"
                        android:layout_height="16dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        app:srcCompat="@drawable/common_go_ic" />

                </androidx.constraintlayout.widget.ConstraintLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>


        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>